splice_to_pipe
Prev | Chapter 6. splice API | Next

## Name

splice_to_pipe — fill passed data into a pipe

## Synopsis

`ssize_t splice_to_pipe (` | struct pipe_inode_info * | pipe,
| struct splice_pipe_desc * | spd`)`;

## Arguments

`pipe`

  pipe to fill

`spd`

  data to fill

## Description

`spd` contains a map of pages and len/offset tuples, along with the struct pipe_buf_operations associated with these pages. This function will link that data to the pipe.

Prev | Up | Next
Chapter 6. splice API | Home | generic_file_splice_read